<!doctype html>
<html>
<head>
    <!-- Internal game scripts/styles, mostly boring stuff -->
    <script src="https://xss-game.appspot.com/static/game-frame.js"></script>
    <link rel="stylesheet" href="https://xss-game.appspot.com/static/game-frame-styles.css"/>

    <!-- Load jQuery -->
    <script
            src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js">
    </script>
    <script src="https://rawgit.com/leizongmin/js-xss/master/dist/xss.js"></script>

    <script>
      function chooseTab(num) {
        num = parseInt(num) || 1;
        // Dynamically load the appropriate image.
        var html = 'Image ' + num + '<br>';
        html += '<img src=\'https://xss-game.appspot.com/static/level3/cloud' + num + '.jpg\' />';
        $('#tabContent')
          .html(html);

        window.location.hash = num;

        // Select the current tab
        var tabs = document.querySelectorAll('.tab');
        for (var i = 0; i < tabs.length; i++) {
          if (tabs[i].id == 'tab' + parseInt(num)) {
            tabs[i].className = 'tab active';
          } else {
            tabs[i].className = 'tab';
          }
        }

        // Tell parent we've changed the tab
        top.postMessage(self.location.toString(), '*');
      }

      window.onload = function () {
        chooseTab(unescape(self.location.hash.substr(1)) || '1');
      };

      // Extra code so that we can communicate with the parent page
      window.addEventListener('message', function (event) {
        if (event.source == parent) {
          chooseTab(unescape(self.location.hash.substr(1)));
        }
      }, false);
    </script>

</head>
<body id="level3">
<div id="header">
    <img id="logo" src="https://xss-game.appspot.com/static/logos/level3.png">
    <span>Take a tour of our cloud data center.</a>
</div>

<div class="tab" id="tab1" onclick="chooseTab('1')">Image 1</div>
<div class="tab" id="tab2" onclick="chooseTab('2')">Image 2</div>
<div class="tab" id="tab3" onclick="chooseTab('3')">Image 3</div>

<div id="tabContent"></div>
</body>
</html>
